diff -ruN dclib-0.3.3-orig/acinclude.m4 dclib-0.3.3/acinclude.m4
--- dclib-0.3.3-orig/acinclude.m4	Thu Aug 19 09:47:42 2004
+++ dclib-0.3.3/acinclude.m4	Thu Aug 19 10:17:16 2004
@@ -7942,10 +7942,10 @@
     _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
     case "$host_os" in
     rhapsody* | darwin1.[[012]])
-      _LT_AC_TAGVAR(allow_undefined_flag, $1)='-undefined suppress'
+      _LT_AC_TAGVAR(allow_undefined_flag, $1)=''
       ;;
     *) # Darwin 1.3 on
-      test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+      test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace'
       ;;
     esac
     output_verbose_link_cmd='echo'
@@ -8254,10 +8254,10 @@
     _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
     case "$host_os" in
     rhapsody* | darwin1.[[012]])
-      _LT_AC_TAGVAR(allow_undefined_flag, $1)='-undefined suppress'
+      _LT_AC_TAGVAR(allow_undefined_flag, $1)=''
       ;;
     *) # Darwin 1.3 on
-      test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+      test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace'
       ;;
     esac
     lt_int_apple_cc_single_mod=no
@@ -10665,7 +10665,7 @@
       ;;
 
     bsdi4*)
-      _LT_AC_TAGVAR(export_dynamic_flag_spec, $1)=-rdynamic
+      _LT_AC_TAGVAR(export_dynamic_flag_spec, $1)=''
       ;;
 
     cygwin* | mingw* | pw32*)
@@ -10694,10 +10694,10 @@
       _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
       case "$host_os" in
       rhapsody* | darwin1.[[012]])
-	_LT_AC_TAGVAR(allow_undefined_flag, $1)='-undefined suppress'
+	_LT_AC_TAGVAR(allow_undefined_flag, $1)=''
 	;;
       *) # Darwin 1.3 on
-	test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+	test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace'
 	;;
       esac
     	lt_int_apple_cc_single_mod=no
diff -ruN dclib-0.3.3-orig/aclocal.m4 dclib-0.3.3/aclocal.m4
--- dclib-0.3.3-orig/aclocal.m4	Thu Aug 19 09:47:42 2004
+++ dclib-0.3.3/aclocal.m4	Thu Aug 19 10:17:24 2004
@@ -7928,10 +7928,10 @@
     _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
     case "$host_os" in
     rhapsody* | darwin1.[[012]])
-      _LT_AC_TAGVAR(allow_undefined_flag, $1)='-undefined suppress'
+      _LT_AC_TAGVAR(allow_undefined_flag, $1)=''
       ;;
     *) # Darwin 1.3 on
-      test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+      test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace'
       ;;
     esac
     output_verbose_link_cmd='echo'
@@ -8240,10 +8240,10 @@
     _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
     case "$host_os" in
     rhapsody* | darwin1.[[012]])
-      _LT_AC_TAGVAR(allow_undefined_flag, $1)='-undefined suppress'
+      _LT_AC_TAGVAR(allow_undefined_flag, $1)=''
       ;;
     *) # Darwin 1.3 on
-      test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+      test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace'
       ;;
     esac
     lt_int_apple_cc_single_mod=no
@@ -10643,7 +10643,7 @@
       ;;
 
     bsdi4*)
-      _LT_AC_TAGVAR(export_dynamic_flag_spec, $1)=-rdynamic
+      _LT_AC_TAGVAR(export_dynamic_flag_spec, $1)=''
       ;;
 
     cygwin* | mingw* | pw32*)
@@ -10672,10 +10672,10 @@
       _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
       case "$host_os" in
       rhapsody* | darwin1.[[012]])
-	_LT_AC_TAGVAR(allow_undefined_flag, $1)='-undefined suppress'
+	_LT_AC_TAGVAR(allow_undefined_flag, $1)=''
 	;;
       *) # Darwin 1.3 on
-	test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+	test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace'
 	;;
       esac
     	lt_int_apple_cc_single_mod=no
diff -ruN dclib-0.3.3-orig/admin/libtool.m4.in dclib-0.3.3/admin/libtool.m4.in
--- dclib-0.3.3-orig/admin/libtool.m4.in	Thu Aug 19 09:47:42 2004
+++ dclib-0.3.3/admin/libtool.m4.in	Thu Aug 19 10:17:34 2004
@@ -2556,10 +2556,10 @@
     _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
     case "$host_os" in
     rhapsody* | darwin1.[[012]])
-      _LT_AC_TAGVAR(allow_undefined_flag, $1)='-undefined suppress'
+      _LT_AC_TAGVAR(allow_undefined_flag, $1)=''
       ;;
     *) # Darwin 1.3 on
-      test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+      test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace'
       ;;
     esac
     output_verbose_link_cmd='echo'
@@ -2868,10 +2868,10 @@
     _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
     case "$host_os" in
     rhapsody* | darwin1.[[012]])
-      _LT_AC_TAGVAR(allow_undefined_flag, $1)='-undefined suppress'
+      _LT_AC_TAGVAR(allow_undefined_flag, $1)=''
       ;;
     *) # Darwin 1.3 on
-      test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+      test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace'
       ;;
     esac
     lt_int_apple_cc_single_mod=no
@@ -5279,7 +5279,7 @@
       ;;
 
     bsdi4*)
-      _LT_AC_TAGVAR(export_dynamic_flag_spec, $1)=-rdynamic
+      _LT_AC_TAGVAR(export_dynamic_flag_spec, $1)=''
       ;;
 
     cygwin* | mingw* | pw32*)
@@ -5308,10 +5308,10 @@
       _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
       case "$host_os" in
       rhapsody* | darwin1.[[012]])
-	_LT_AC_TAGVAR(allow_undefined_flag, $1)='-undefined suppress'
+	_LT_AC_TAGVAR(allow_undefined_flag, $1)=''
 	;;
       *) # Darwin 1.3 on
-	test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+	test -z ${LD_TWOLEVEL_NAMESPACE} && _LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace'
 	;;
       esac
     	lt_int_apple_cc_single_mod=no
diff -ruN dclib-0.3.3-orig/admin/ltcf-c.sh dclib-0.3.3/admin/ltcf-c.sh
--- dclib-0.3.3-orig/admin/ltcf-c.sh	Thu Aug 19 09:47:42 2004
+++ dclib-0.3.3/admin/ltcf-c.sh	Thu Aug 19 09:51:23 2004
@@ -174,7 +174,7 @@
     ;;
 
   darwin* | rhapsody*)
-    allow_undefined_flag='-undefined suppress'
+    allow_undefined_flag=''
     archive_cmds='$CC `test .$module = .yes && echo -bundle || echo -dynamiclib` $allow_undefined_flag -o $lib $libobjs $deplibs $linkopts -install_name $rpath/$soname `test -n "$verstring" -a x$verstring != x0.0 && echo $verstring`'
     # We need to add '_' to the symbols in $export_symbols first
     #archive_expsym_cmds="$archive_cmds"' && strip -s $export_symbols'
diff -ruN dclib-0.3.3-orig/admin/ltconfig dclib-0.3.3/admin/ltconfig
--- dclib-0.3.3-orig/admin/ltconfig	Thu Aug 19 09:47:42 2004
+++ dclib-0.3.3/admin/ltconfig	Thu Aug 19 10:17:43 2004
@@ -1060,7 +1060,7 @@
   shlibpath_var=LD_LIBRARY_PATH
   sys_lib_search_path_spec="/shlib /usr/lib /usr/X11/lib /usr/contrib/lib /lib /usr/local/lib"
   sys_lib_dlsearch_path_spec="/shlib /usr/lib /usr/local/lib"
-  export_dynamic_flag_spec=-rdynamic
+  export_dynamic_flag_spec=''
   # the default ld.so.conf also contains /usr/contrib/lib and
   # /usr/X11R6/lib (/usr/X11 is a link to /usr/X11R6), but let us allow
   # libtool to hard-code these into programs
diff -ruN dclib-0.3.3-orig/configure dclib-0.3.3/configure
--- dclib-0.3.3-orig/configure	Thu Aug 19 09:47:42 2004
+++ dclib-0.3.3/configure	Thu Aug 19 10:18:00 2004
@@ -8867,7 +8867,7 @@
       ;;
 
     bsdi4*)
-      export_dynamic_flag_spec=-rdynamic
+      export_dynamic_flag_spec=''
       ;;
 
     cygwin* | mingw* | pw32*)
@@ -8896,10 +8896,10 @@
       archive_cmds_need_lc=no
       case "$host_os" in
       rhapsody* | darwin1.[012])
-	allow_undefined_flag='-undefined suppress'
+	allow_undefined_flag=''
 	;;
       *) # Darwin 1.3 on
-	test -z ${LD_TWOLEVEL_NAMESPACE} && allow_undefined_flag='-flat_namespace -undefined suppress'
+	test -z ${LD_TWOLEVEL_NAMESPACE} && allow_undefined_flag='-flat_namespace'
 	;;
       esac
     	lt_int_apple_cc_single_mod=no
@@ -10660,10 +10660,10 @@
     archive_cmds_need_lc=no
     case "$host_os" in
     rhapsody* | darwin1.[012])
-      allow_undefined_flag='-undefined suppress'
+      allow_undefined_flag=''
       ;;
     *) # Darwin 1.3 on
-      test -z ${LD_TWOLEVEL_NAMESPACE} && allow_undefined_flag='-flat_namespace -undefined suppress'
+      test -z ${LD_TWOLEVEL_NAMESPACE} && allow_undefined_flag='-flat_namespace'
       ;;
     esac
     output_verbose_link_cmd='echo'
@@ -11691,10 +11691,10 @@
     archive_cmds_need_lc_CXX=no
     case "$host_os" in
     rhapsody* | darwin1.[012])
-      allow_undefined_flag_CXX='-undefined suppress'
+      allow_undefined_flag_CXX=''
       ;;
     *) # Darwin 1.3 on
-      test -z ${LD_TWOLEVEL_NAMESPACE} && allow_undefined_flag_CXX='-flat_namespace -undefined suppress'
+      test -z ${LD_TWOLEVEL_NAMESPACE} && allow_undefined_flag_CXX='-flat_namespace'
       ;;
     esac
     lt_int_apple_cc_single_mod=no
@@ -15373,7 +15373,7 @@
       ;;
 
     bsdi4*)
-      export_dynamic_flag_spec_F77=-rdynamic
+      export_dynamic_flag_spec_F77=''
       ;;
 
     cygwin* | mingw* | pw32*)
@@ -15402,10 +15402,10 @@
       archive_cmds_need_lc_F77=no
       case "$host_os" in
       rhapsody* | darwin1.[012])
-	allow_undefined_flag_F77='-undefined suppress'
+	allow_undefined_flag_F77=''
 	;;
       *) # Darwin 1.3 on
-	test -z ${LD_TWOLEVEL_NAMESPACE} && allow_undefined_flag_F77='-flat_namespace -undefined suppress'
+	test -z ${LD_TWOLEVEL_NAMESPACE} && allow_undefined_flag_F77='-flat_namespace'
 	;;
       esac
     	lt_int_apple_cc_single_mod=no
@@ -17631,7 +17631,7 @@
       ;;
 
     bsdi4*)
-      export_dynamic_flag_spec_GCJ=-rdynamic
+      export_dynamic_flag_spec_GCJ=''
       ;;
 
     cygwin* | mingw* | pw32*)
@@ -17660,10 +17660,10 @@
       archive_cmds_need_lc_GCJ=no
       case "$host_os" in
       rhapsody* | darwin1.[012])
-	allow_undefined_flag_GCJ='-undefined suppress'
+	allow_undefined_flag_GCJ=''
 	;;
       *) # Darwin 1.3 on
-	test -z ${LD_TWOLEVEL_NAMESPACE} && allow_undefined_flag_GCJ='-flat_namespace -undefined suppress'
+	test -z ${LD_TWOLEVEL_NAMESPACE} && allow_undefined_flag_GCJ='-flat_namespace'
 	;;
       esac
     	lt_int_apple_cc_single_mod=no
diff -ruN dclib-0.3.3-orig/dclib/Makefile.am dclib-0.3.3/dclib/Makefile.am
--- dclib-0.3.3-orig/dclib/Makefile.am	Thu Aug 19 09:47:42 2004
+++ dclib-0.3.3/dclib/Makefile.am	Thu Aug 19 10:18:47 2004
@@ -14,7 +14,7 @@
 chublistmanager.cpp chublistmanager.h csearchmanager.cpp csearchmanager.h \
 csearchsocket.cpp csearchsocket.h
 
-libdc_la_LDFLAGS = -version-info 0:1 core/libcore.la hash/libhash.la $(XML_LIBS) $(LIBSSL) $(SSL_LDFLAGS) -rdynamic
+libdc_la_LDFLAGS = -version-info 0:1 core/libcore.la hash/libhash.la $(XML_LIBS) $(LIBSSL) $(SSL_LDFLAGS)
 CFLAGS = -D_REENTRANT -Wall $(XML_CFLAGS) $(SSL_INCLUDES)
 AM_CXXFLAGS = @CXXFLAGS@ -D_REENTRANT -Wall $(XML_CFLAGS) $(SSL_INCLUDES)
 VERSION = "0.0.1"
diff -ruN dclib-0.3.3-orig/dclib/Makefile.in dclib-0.3.3/dclib/Makefile.in
--- dclib-0.3.3-orig/dclib/Makefile.in	Thu Aug 19 09:47:42 2004
+++ dclib-0.3.3/dclib/Makefile.in	Thu Aug 19 10:18:56 2004
@@ -171,7 +171,7 @@
 csearchsocket.cpp csearchsocket.h
 
 
-libdc_la_LDFLAGS = -version-info 0:1 core/libcore.la hash/libhash.la $(XML_LIBS) $(LIBSSL) $(SSL_LDFLAGS) -rdynamic
+libdc_la_LDFLAGS = -version-info 0:1 core/libcore.la hash/libhash.la $(XML_LIBS) $(LIBSSL) $(SSL_LDFLAGS)
 AM_CXXFLAGS = @CXXFLAGS@ -D_REENTRANT -Wall $(XML_CFLAGS) $(SSL_INCLUDES)
 INCLUDES = $(all_includes) -Icore -Ihash
 
diff -ruN dclib-0.3.3-orig/dclib/core/Makefile.am dclib-0.3.3/dclib/core/Makefile.am
--- dclib-0.3.3-orig/dclib/core/Makefile.am	Thu Aug 19 09:47:42 2004
+++ dclib-0.3.3/dclib/core/Makefile.am	Thu Aug 19 10:18:08 2004
@@ -16,7 +16,7 @@
 filecopy.h types.h platform.cpp platform.h \
 fsusage.cpp fsusage.h
 
-libcore_la_LDFLAGS = $(XML_LIBS) $(LIBSSL) $(SSL_LDFLAGS) -rdynamic
+libcore_la_LDFLAGS = $(XML_LIBS) $(LIBSSL) $(SSL_LDFLAGS)
 CFLAGS = -D_REENTRANT -Wall $(XML_CFLAGS) $(SSL_INCLUDES)
 AM_CXXFLAGS = @CXXFLAGS@ -D_REENTRANT -Wall $(XML_CFLAGS) $(SSL_INCLUDES)
 VERSION = "0.0.1"
diff -ruN dclib-0.3.3-orig/dclib/core/Makefile.in dclib-0.3.3/dclib/core/Makefile.in
--- dclib-0.3.3-orig/dclib/core/Makefile.in	Thu Aug 19 09:47:42 2004
+++ dclib-0.3.3/dclib/core/Makefile.in	Thu Aug 19 10:18:20 2004
@@ -172,7 +172,7 @@
 fsusage.cpp fsusage.h
 
 
-libcore_la_LDFLAGS = $(XML_LIBS) $(LIBSSL) $(SSL_LDFLAGS) -rdynamic
+libcore_la_LDFLAGS = $(XML_LIBS) $(LIBSSL) $(SSL_LDFLAGS)
 AM_CXXFLAGS = @CXXFLAGS@ -D_REENTRANT -Wall $(XML_CFLAGS) $(SSL_INCLUDES)
 INCLUDES = $(all_includes) 
 
diff -ruN dclib-0.3.3-orig/dclib/hash/Makefile.am dclib-0.3.3/dclib/hash/Makefile.am
--- dclib-0.3.3-orig/dclib/hash/Makefile.am	Thu Aug 19 09:47:42 2004
+++ dclib-0.3.3/dclib/hash/Makefile.am	Thu Aug 19 10:18:32 2004
@@ -3,7 +3,7 @@
 
 libhash_la_SOURCES = tiger.cpp tigertree.cpp tiger.h tigertree.h sboxes.cpp
 
-libhash_la_LDFLAGS = -rdynamic
+libhash_la_LDFLAGS = ''
 AM_CFLAGS = @CFLAGS@ -D_REENTRANT -Wall
 AM_CXXFLAGS = @CXXFLAGS@ -D_REENTRANT -Wall
 VERSION = "0.0.1"
diff -ruN dclib-0.3.3-orig/dclib/hash/Makefile.in dclib-0.3.3/dclib/hash/Makefile.in
--- dclib-0.3.3-orig/dclib/hash/Makefile.in	Thu Aug 19 09:47:42 2004
+++ dclib-0.3.3/dclib/hash/Makefile.in	Thu Aug 19 10:18:39 2004
@@ -158,7 +158,7 @@
 
 libhash_la_SOURCES = tiger.cpp tigertree.cpp tiger.h tigertree.h sboxes.cpp
 
-libhash_la_LDFLAGS = -rdynamic
+libhash_la_LDFLAGS = ''
 AM_CFLAGS = @CFLAGS@ -D_REENTRANT -Wall
 AM_CXXFLAGS = @CXXFLAGS@ -D_REENTRANT -Wall
 INCLUDES = $(all_includes) 
